%define major 5
%define libname lib%{name}%{major}

Summary:	GtkGLArea is an OpenGL widget for GTK+ GUI toolkit
Name:		gtkglarea
Version:	1.2.2
Release:	7mdk
License:	LGPL
Group:		System/Libraries

Source:		%{name}-%{version}.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
BuildRequires:	Mesa-common-devel

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

Related project which may iterest those who use GTK-- is GtkGLArea--. It is a
C++ wrapper for gtkglarea written by Karl Nelson <kenelson@ece.ucdavis.edu>.

%package -n %{libname}
Summary:        GtkGLArea is an OpenGL widget for GTK+ GUI toolkit
Group:          System/Libraries
Provides:	%name
Obsoletes:	%name = %version-%release

%description -n %{libname}
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

Related project which may iterest those who use GTK-- is GtkGLArea--. It is a
C++ wrapper for gtkglarea written by Karl Nelson <kenelson@ece.ucdavis.edu>.

%package -n %{libname}-devel
Summary: GtkGLArea is an OpenGL widget for GTK+ -- includes and static libs
Group: Development/GNOME and GTK+
Requires: %{libname} >= %{version}
Provides: %name-devel = %{version}-%{release}
Obsoletes: %name-devel

%description -n %{libname}-devel
Libraries and includes files you can use for GtkGLArea development

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%configure
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

ln -sf libgtkgl.so.5.0.0 $RPM_BUILD_ROOT%{_libdir}/libgtkgl.so.4


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*.txt
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-7mdk
- fix provides & obsoletes

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-6mdk
- split

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-5mdk
- BuildRequires: Mesa-common-devel

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-4mdk
- rebuild for gcc-2.96

* Thu Jul 27 2000 Pixel <pixel@mandrakesoft.com> 1.2.2-3mdk
- remove duplicate lib in gtkglarea and gtkglarea-devel + cleanup, BM

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- add ldconfig in devel post

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- clean specfile
- v1.2.2

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
 - rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
   of libMesa*.so stuff)
    
* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.2.1
	 
* Tue Feb 09 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
 - First try at an RPM  
